{
  lib,
  ...
}:

{
  wayland.windowManager.hyprland.settings = {
    monitor =
      let
        common = import ../../common.nix;
      in
      lib.mkForce [
        "${common.monitor1}, 1920x1080@60.05, 0x0, 1"
      ];

    # Autostart
    exec-once = [
      "hyprsunset -t 5000" # Set blue light filter
    ];

    input = {
      sensitivity = lib.mkForce 0.4; # -1.0 - 1.0, 0 means no modification.
      touchpad.natural_scroll = lib.mkForce true;
    };

    gestures = {
      workspace_swipe = lib.mkForce true;
      workspace_swipe_distance = lib.mkForce 150;
      workspace_swipe_min_speed_to_force = lib.mkForce 0;
      workspace_swipe_cancel_ratio = lib.mkForce 0.5;
    };
  };
}
